# Signature

Represents a raw digital signature.

### Table of contents

#### Properties

* [fullSig](#fullsig)
* [r](#r)
* [s](#s)
* [v](#v)

### Properties

#### fullSig

• **fullSig**: `string`

A string representing the complete signature, often a concatenation of the `r` and `s` values.

***

#### r

• `Optional` **r**: `string`

A hexadecimal string representing the first part of the ECDSA signature.

***

#### s

• `Optional` **s**: `string`

A hexadecimal string representing the second part of the ECDSA signature.

***

#### v

• `Optional` **v**: `number`

An integer representing the recovery id, which is used in some blockchains to recover the public key from the signature.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://sdk.chorus.one/api-reference/types/signer_src.signature.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
